SELECT MIN(DATE_OF_EMPLOYMENT) 
FROM COMPANY_EMPLOYEES ce INNER JOIN COMPANY_DEPARTMENTS cd 
ON ce.NAME=cd.MANAGER
WHERE ce.PHONE_NUMBER LIKE '069%';

SELECT SUM(SALARY) 
FROM COMPANY_EMPLOYEES ce INNER JOIN COMPANY_DEPARTMENTS cd
ON ce.DEP=cd.ID_DEP
WHERE cd.LOCATION='Podgorica';

ALTER TABLE COMPANY_DEPARTMENTS
DROP COLUMN MANAGER;

CREATE TABLE MANAGERS(
	EMPLOYEE_ID int,
    DEP_ID int,
    PROMOTION_DATE date,
    DISMISSAL_DATE date,
    PRIMARY KEY (EMPLOYEE_ID, DEP_ID, PROMOTION_DATE),
    FOREIGN KEY (EMPLOYEE_ID) REFERENCES COMPANY_EMPLOYEES(ID),
    FOREIGN KEY (DEP_ID) REFERENCES COMPANY_DEPARTMENTS(ID_DEP),
    CHECK (PROMOTION_DATE < DISMISSAL_DATE),
    UNIQUE (EMPLOYEE_ID, DEP_ID, DISMISSAL_DATE)
);



